Use libsass with Ruby!
Ruby
Latest commit 1852a3e Jan 19, 2017 @bolandrm bolandrm bump to 1.11.2

README.md

SassC Build Status Gem Version

Use libsass with Ruby!

This gem combines the speed of libsass, the Sass C implementation, with the ease of use of the original Ruby Sass library.

libsass Version

3.4.3

Installation

Add this line to your application's Gemfile:

gem 'sassc'

And then execute:

bundle

Or install it yourself as:

gem install sassc

Usage

This library utilizes libsass to allow you to compile SCSS or SASS syntax to CSS. To compile, use a SassC::Engine, e.g.:

SassC::Engine.new(sass, style: :compressed).render

Note: If you want to use this library with Rails/Sprockets, check out sassc-rails.

Additionally, you can use SassC::Sass2Scss to convert Sass syntax to Scss syntax.

Credits

This gem is maintained by Ryan Boland and awesome contributors.

Changelog

Contributing

Project Setup

  1. Clone repo
  2. Install dependencies - bundle install
  3. Run the tests - bundle exec rake test

Code Changes

  1. Fork it ( https://github.com/sass/sassc-ruby/fork )
  2. Create your feature branch (git checkout -b my-new-feature)
  3. Commit your changes (git commit -am 'Add some feature') - try to include tests
  4. Push to the branch (git push origin my-new-feature)
  5. Create a new Pull Request